# -*- coding: utf-8 -*-
'''
Created on 18.08.2010

@author: adm
'''

import pkgutil
import logging
log = logging.getLogger("Conditionfunction")

class ConditionFunction(object):

    def __init__(self, check=None, object=None, card=None, coupon=None, checkWrapper=None):
        self.check = check
        self.object = object
        self.card = card
        self.coupon = coupon
        self.timeFormat = "%H:%M"
        self.dateTimeFormat = "%Y-%m-%dT%H:%M:%S"
        self.dateFormat = "%Y-%m-%d"
        self.checkWrapper = checkWrapper


import conditionfunctionplugins.conditionplugin

conditionfunctionplugins.conditionplugin.conditionfunctionclass = ConditionFunction
for importer, modname, _ in pkgutil.iter_modules(conditionfunctionplugins.__path__):
    pluginname = 'artixds.conditionfunctionplugins.' + modname
    try:
        module = __import__('artixds.conditionfunctionplugins.', fromlist=[modname])
        log.info('condition plugin `%s` imported' % modname)
    except Exception, e:
        log.error('error importing module `%s` (%s)' % (modname, e))
      

