# -*- coding: utf-8 -*-
'''
Created on 30.06.2010

@author: adm
'''
from sqlalchemy import Table, Column, Integer, String, MetaData, Text, TIMESTAMP 

metaData = MetaData()
discountSystemTable = Table("discountsystem", metaData,
Column('discountSystemId', Integer, primary_key=True),
Column('name', String(100)),
Column('discsystem', Text),
Column('bonusearnsystem', Text),
Column('bonuslimitsystem', Text),
Column('update_time', TIMESTAMP),
Column('seconddiscsystem', Text))


class DiscountSystemData(object):
    """
    Discount system (representation in Database)
    
    """
    def __init__(self, name=None, system=None):
        """
        name - name
        system - root campaign group object in JSON format 
        """
        self.name = name
        self.discsystem = system
