'''
Created on 11.10.2011

@author: ays
'''
import logging
from compiler import parse
from inspect  import getsource

conditionfunctionclass = None
conditionMemory = {}

def memoized(func):
    def memo(self, *args,**kwargs):
        if func.__name__ in conditionfunctionclass.posConditionList:
            return func(self, *args, **kwargs)
        key = '%s.%s.%s' %(self.checkWrapper.id, func.__name__, args)
        if not key in conditionMemory:
            conditionMemory[key] =  func(self, *args, **kwargs)
        return conditionMemory[key]
    return memo

def add_plugin(func):
    if "'object'" in str( parse( getsource(func) ) ):
        if not hasattr(conditionfunctionclass, "posConditionList"):
            setattr(conditionfunctionclass, "posConditionList", ['object'])
        getattr(conditionfunctionclass, "posConditionList").append(func.__name__) 
    setattr(conditionfunctionclass, func.__name__, memoized(func))
