# -*- coding: utf-8 -*-
'''
Created on 02.08.2010

@author: gsu
'''

import campaign, discount, discountrate, objectdiscount, impact, discountcondition, discountsystem, coupon, counter
from artixds.kitlogic import kitobject


class Import(object):
    def imp(self, *classes):
        '''
            Хитрый импорт классов с привязкой их к текущему модулю
        '''
        result = []
        for clazz in classes:
            clazz.__module__ = self.__module__
            result.append(clazz)
        if len(result) > 1:
            return result
        return result[0]

imp = Import()

DiscountSystem, DiscountSystemType = imp.imp(discountsystem.DiscountSystem, discountsystem.DiscountSystemType)
DiscountCampaignGroup, DiscountCampaign = imp.imp(campaign.DiscountCampaignGroup, campaign.DiscountCampaign)
DiscountCondition, DiscountCardCondition, DiscountCouponCondition = imp.imp(discountcondition.DiscountCondition, discountcondition.DiscountCardCondition, discountcondition.DiscountCouponCondition)

Discount = imp.imp(discount.Discount)
Coupon = imp.imp(coupon.Coupon)
Counter, CounterChanged = imp.imp(counter.Counter, counter.CounterChanged)

DiscountRate, PercentDiscountRate, IndexDiscountRate = imp.imp(discountrate.DiscountRate, discountrate.PercentDiscountRate, discountrate.IndexDiscountRate)
SumDiscountRate, CalculateDiscountRate = imp.imp(discountrate.SumDiscountRate, discountrate.CalculateDiscountRate)
KitDiscountRate, KitDiscountRateItem = imp.imp(discountrate.KitDiscountRate, discountrate.KitDiscountRateItem)

DiscountObject, CheckObject, PositionObject = imp.imp(objectdiscount.DiscountObject, objectdiscount.CheckObject, objectdiscount.PositionObject)

Kit, KitItem, KitType = imp.imp(objectdiscount.Kit, objectdiscount.KitItem, objectdiscount.KitType)
KitObject, KitObjectItem = imp.imp(kitobject.KitObject, kitobject.KitObjectItem)

LegacyObject = imp.imp(objectdiscount.LegacyObject)

SimpleObject = imp.imp(objectdiscount.SimpleObject)

ImpactGroup, ImpactType, Impact = imp.imp(impact.ImpactGroup, impact.ImpactType, impact.Impact)
ImpactObject, ImpactObjectCheck = imp.imp(impact.ImpactObject, impact.ImpactObjectCheck)
ImpactObjectPosition, InteractionType = imp.imp(impact.ImpactObjectPosition, impact.InteractionType)
aggregateImpact = imp.imp(impact.aggregateImpact)
