# -*- coding: utf-8 -*-
'''
Created on 03.02.2011

@author: gsu
'''

from sqlalchemy import create_engine, MetaData
from sqlalchemy.ext.declarative import declarative_base
from sqlalchemy.orm import sessionmaker
import conf

url = "mysql://%s:%s@%s:%s/%s" % (conf.user, conf.passwd, conf.host, conf.port, conf.db)
engine = create_engine(url + '?init_command=set%20names%20%22utf8%22',echo=True, pool_size=5, max_overflow=0, convert_unicode=True)

metadata = MetaData()
Base = declarative_base(metadata=metadata, name='Base')
Session = sessionmaker(bind=engine, autocommit=True)
